#!/usr/bin/env perl

if ($< != 0) { die "Can't link dirs. Please re-run as root." }

my $conf =
  "/home/nu/.config/";
my $git  =
  "/mnt/Storage/(500) Programming/598.\ Groups\ of\ smaller\ projects/dotfiles/";

my %confDirs = (
# `.conf` dir     -> git repo dir
  "alacritty"     => "alacritty",
  "awesome"       => "awesome",
  "omf"           => "fish",
  "picom"         => "picom",
  "rofi"          => "rofi",
  "BetterDiscord" => "discord",
  "Thunar"        => "thunar",
);

while (my ($key, $value) = each %confDirs) {
  `mount --bind "/home/nu/.config\/$key" "/mnt/Storage/(500) Programming/598. Groups of smaller projects/dotfiles\/$value"`
}

print("Done!");